var canvas = document.getElementById("playArea");
var ctx = canvas.getContext("2d");
var ballX, ballY;
var ballMoveX = 2;
var ballMoveY = -3;

function initialise(){
    window.addEventListener('resize', resizeCanvas);
    resizeCanvas();
    setInterval(redraw, 10);
}

function resizeCanvas() {
    canvas.width = window.innerWidth;
    canvas.height = window.innerHeight;
    ballX = canvas.width / 2;
    ballY = canvas.height - 20;
}
function drawBall() {
    ctx.clearRect(0, 0, canvas.width, canvas.height);
    ctx.beginPath();
    ctx.arc(ballX, ballY, 15, 0, Math.PI*2);
    ctx.fillStyle = "blue";
    ctx.fill();
    ctx.closePath();
    ballX += ballMoveX;
    ballY += ballMoveY;
}
function redraw() {
 drawBall();
}

initialise();

